Update errors, all of a sudden... Looks/reads dire! Help?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Mon Jun 04, 2018 2:50 pm

I'm currently running Linux Mint 18.3 (Sylvia) with it's downloaded version of Cinnamon.
I typically run the Update Manager daily; as of a few days ago, every time I run the Update the manager I get an error now.

So, I tried to do the sudo apt-get update follow by sudo apt-get upgrade. And this produced the following, verbose error messages... (can anyone tell me how to get back to a clean update, sans error messages)?

Code: Select all

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-firmware (1.157.19) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-41-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-41-generic with 1.
dpkg: error processing package linux-firmware (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-4.13.0-43-generic
mountpoint: /usr/local/lib/libuuid.so.1: no version information available (required by /lib/x86_64-linux-gnu/libblkid.so.1)
vmlinuz(/boot/vmlinuz-4.13.0-43-generic
) points to /boot/vmlinuz-4.13.0-43-generic
 (/boot/vmlinuz-4.13.0-43-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Generating /boot/initrd.img-4.13.0-43-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 1052.
dpkg: error processing package linux-image-4.13.0-43-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-extra-4.13.0-43-generic:
 linux-image-extra-4.13.0-43-generic depends on linux-image-4.13.0-43-generic; however:
  Package linux-image-4.13.0-43-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.13.0-43-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          Errors were encountered while processing:
 linux-firmware
 linux-image-4.13.0-43-generic
 linux-image-extra-4.13.0-43-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
Last edited by karlchen on Mon Jun 04, 2018 3:39 pm, edited 1 time in total.
Reason: added [code] tags where appropiate

User avatar
richyrich
Level 18
Level 18
Posts: 8775
Joined: Mon May 04, 2009 8:31 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by richyrich » Mon Jun 04, 2018 4:49 pm

Please try this command from the terminal and report any errors. :)

sudo dpkg --configure -a

(note the space preceding the dashes)

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Mon Jun 04, 2018 4:57 pm

THANKS MUCH FOR THE REPLY!!!
See below

Code: Select all

$ sudo dpkg --configure -a

Setting up linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-4.13.0-43-generic
mountpoint: /usr/local/lib/libuuid.so.1: no version information available (required by /lib/x86_64-linux-gnu/libblkid.so.1)
vmlinuz(/boot/vmlinuz-4.13.0-43-generic
) points to /boot/vmlinuz-4.13.0-43-generic
 (/boot/vmlinuz-4.13.0-43-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Generating /boot/initrd.img-4.13.0-43-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 1052.
dpkg: error processing package linux-image-4.13.0-43-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-extra-4.13.0-43-generic:
 linux-image-extra-4.13.0-43-generic depends on linux-image-4.13.0-43-generic; however:
  Package linux-image-4.13.0-43-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.13.0-43-generic (--configure):
 dependency problems - leaving unconfigured
Setting up linux-firmware (1.157.19) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-41-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-41-generic with 1.
dpkg: error processing package linux-firmware (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.13.0-43-generic
 linux-image-extra-4.13.0-43-generic
 linux-firmware
Last edited by WharfRat on Mon Jun 04, 2018 5:08 pm, edited 1 time in total.
Reason: Added code tag

User avatar
WharfRat
Level 20
Level 20
Posts: 11369
Joined: Thu Apr 07, 2011 8:15 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by WharfRat » Mon Jun 04, 2018 10:22 pm

I'm not sure if mountpoint: /usr/local/lib/libuuid.so.1: no version information available is causing the subsequent failures, but what does

sudo updatedb && locate libuuid.so.1| while read l;do ls -lh "$l";done return
ImageImage

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Tue Jun 05, 2018 12:53 am

lrwxrwxrwx 1 root root 16 Nov 30 2017 /lib/x86_64-linux-gnu/libuuid.so.1 -> libuuid.so.1.3.0
-rw-r--r-- 1 root root 19K Nov 30 2017 /lib/x86_64-linux-gnu/libuuid.so.1.3.0
lrwxrwxrwx 1 root root 16 May 16 20:46 /usr/local/lib/libuuid.so.1 -> libuuid.so.1.0.0
-rwxr-xr-x 1 root root 48K May 16 20:46 /usr/local/lib/libuuid.so.1.0.0

minituxx
Level 2
Level 2
Posts: 58
Joined: Sat Mar 10, 2018 6:19 am

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by minituxx » Tue Jun 05, 2018 2:16 am

Code: Select all

sudo rm /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst

Code: Select all

sudo rm /var/lib/dpkg/info/linux-firmware.postinst

Code: Select all

sudo rm /var/lib/dpkg/info/linux-image-extra-4.13.0-43-generic.postinst

Code: Select all

sudo apt-get clean

Code: Select all

sudo apt-get update

Code: Select all

sudo dpkg --configure -a

Code: Select all

sudo apt-get install --reinstall linux-image-4.13.0-43-generic linux-image-extra-4.13.0-43-generic linux-firmware

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Tue Jun 05, 2018 2:22 am

Everything went fine except for the last command...

Code: Select all

$ sudo apt-get install --reinstall linux-image-4.13.0-43-generic linux-image-extra-4.13.0-43-generic linux-firmware
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 3 reinstalled, 0 to remove and 3 not upgraded.
Need to get 103 MB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-firmware all 1.157.19 [50.7 MB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-4.13.0-43-generic amd64 4.13.0-43.48~16.04.1 [20.9 MB]   
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-extra-4.13.0-43-generic amd64 4.13.0-43.48~16.04.1 [31.6 MB]
Fetched 103 MB in 12s (8,126 kB/s)                                                                                                    
(Reading database ... 272109 files and directories currently installed.)
Preparing to unpack .../linux-firmware_1.157.19_all.deb ...
Unpacking linux-firmware (1.157.19) over (1.157.19) ...
Preparing to unpack .../linux-image-4.13.0-43-generic_4.13.0-43.48~16.04.1_amd64.deb ...
Done.
Unpacking linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) over (4.13.0-43.48~16.04.1) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
Preparing to unpack .../linux-image-extra-4.13.0-43-generic_4.13.0-43.48~16.04.1_amd64.deb ...
Unpacking linux-image-extra-4.13.0-43-generic (4.13.0-43.48~16.04.1) over (4.13.0-43.48~16.04.1) ...
Setting up linux-firmware (1.157.19) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-41-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-41-generic with 1.
dpkg: error processing package linux-firmware (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled 
(4.13.0-43.48~16.04.1 was configured last, according to dpkg)
mountpoint: /usr/local/lib/libuuid.so.1: no version information available (required by /lib/x86_64-linux-gnu/libblkid.so.1)
Not updating image symbolic links since we are being updated/reinstalled 
(4.13.0-43.48~16.04.1 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Generating /boot/initrd.img-4.13.0-43-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 1052.
dpkg: error processing package linux-image-4.13.0-43-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          dpkg: dependency problems prevent configuration of linux-image-extra-4.13.0-43-generic:
 linux-image-extra-4.13.0-43-generic depends on linux-image-4.13.0-43-generic; however:
  Package linux-image-4.13.0-43-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.13.0-43-generic (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-firmware
 linux-image-4.13.0-43-generic
 linux-image-extra-4.13.0-43-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
Last edited by WharfRat on Tue Jun 05, 2018 8:05 am, edited 1 time in total.
Reason: Added code tag

minituxx
Level 2
Level 2
Posts: 58
Joined: Sat Mar 10, 2018 6:19 am

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by minituxx » Tue Jun 05, 2018 2:29 am

Code: Select all

sudo apt-get install -f

User avatar
WharfRat
Level 20
Level 20
Posts: 11369
Joined: Thu Apr 07, 2011 8:15 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by WharfRat » Tue Jun 05, 2018 8:09 am

The results of locate libuuid.so.1 is not quite right.

What do dpkg -S /usr/local/lib/libuuid.so.1 and apt search libuuid1 return
ImageImage

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Tue Jun 05, 2018 4:57 pm

dpkg -S /usr/local/lib/libuuid.so.1 produces: (Wasn't I instructed to delete libuuid.so.1 earlier?)

$ sudo dpkg -S /usr/local/lib/libuuid.so.1
dpkg-query: no path found matching pattern /usr/local/lib/libuuid.so.1


apt search libuuid1 produces:

$ apt search libuuid1
aptitude: /usr/local/lib/libuuid.so.1: no version information available (required by /usr/lib/x86_64-linux-gnu/libxapian.so.22)
i libuuid1 - Universally Unique ID library
p libuuid1:i386 - Universally Unique ID library

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Tue Jun 05, 2018 5:01 pm

Code: Select all

$ sudo apt-get install -f

Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-firmware (1.157.19) ...
update-initramfs: Generating /boot/initrd.img-4.13.0-41-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-41-generic with 1.
dpkg: error processing package linux-firmware (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up linux-image-4.13.0-43-generic (4.13.0-43.48~16.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled 
(4.13.0-43.48~16.04.1 was configured last, according to dpkg)
mountpoint: /usr/local/lib/libuuid.so.1: no version information available (required by /lib/x86_64-linux-gnu/libblkid.so.1)
Not updating image symbolic links since we are being updated/reinstalled 
(4.13.0-43.48~16.04.1 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.13.0-43-generic /boot/vmlinuz-4.13.0-43-generic
update-initramfs: Generating /boot/initrd.img-4.13.0-43-generic
E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.13.0-43-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.13.0-43-generic.postinst line 1052.
dpkg: error processing package linux-image-4.13.0-43-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-extra-4.13.0-43-generic:
 linux-image-extra-4.13.0-43-generic depends on linux-image-4.13.0-43-generic; however:
  Package linux-image-4.13.0-43-generic is not configured yet.

dpkg: error processing package linux-image-extra-4.13.0-43-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          Errors were encountered while processing:
 linux-firmware
 linux-image-4.13.0-43-generic
 linux-image-extra-4.13.0-43-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

User avatar
WharfRat
Level 20
Level 20
Posts: 11369
Joined: Thu Apr 07, 2011 8:15 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by WharfRat » Tue Jun 05, 2018 6:49 pm

Try installing libuuid1:i386 first then sudo apt-get install -f
ImageImage

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Tue Jun 05, 2018 11:42 pm

OK, I think I've tracked down the problem, though I have no idea of a solution. I have two identical systems. They were built by me on the same day using exactly the same configuration steps. Both systems have had the same update schedule and software maintenance routines... with one exception. On the system with the problem I've been having, I once did a sudo apt-get update, from the command prompt. On the other system, however, I've never done that. Both systems have been updated using the Update Manager. Like I said, the problem system I one time I did the sudo apt-get update. I am going to blow away each system and start the build cycle over. This time I will not do the command prompt update. If the problem doesn't manifest itself again in a week I know I've solved the problem, and found one for you guys to chew on. Thanks for the help so far.

User avatar
WharfRat
Level 20
Level 20
Posts: 11369
Joined: Thu Apr 07, 2011 8:15 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by WharfRat » Wed Jun 06, 2018 8:38 am

Doing an update to the local repos with apt-get update wouldn't hurt anything.

If that were the case then my system wouldn't last an hour :?

I use the Mint update tool sudo mintupdate-tool upgrade -l12345 -r which refreshes the repos and updates all levels.

You noted
dpkg -S /usr/local/lib/libuuid.so.1 produces: (Wasn't I instructed to delete libuuid.so.1 earlier?)
I didn't see anywhere here where you were advised to delete the package and furthermore the lib files you did have were in the wrong place

Code: Select all

lrwxrwxrwx 1 root root 16 May 16 20:46 /usr/local/lib/libuuid.so.1 -> libuuid.so.1.0.0
-rwxr-xr-x 1 root root 48K May 16 20:46 /usr/local/lib/libuuid.so.1.0.0
The correct results for the search should have been

Code: Select all

lrwxrwxrwx 1 root root 16 2017-11-30 15:04:42 /lib/i386-linux-gnu/libuuid.so.1 -> libuuid.so.1.3.0
-rw-r--r-- 1 root root 18K 2017-11-30 15:04:55 /lib/i386-linux-gnu/libuuid.so.1.3.0
So clearly something was manipulated incorrectly or you installed software outside of the package manager since dpkg -S /usr/local/lib/libuuid.so.1 had no package associated with them.
ImageImage

4thAmendment1st
Level 1
Level 1
Posts: 8
Joined: Mon Jun 04, 2018 2:30 pm

Re: Update errors, all of a sudden... Looks/reads dire! Help?

Post by 4thAmendment1st » Wed Jun 06, 2018 6:00 pm

What I did to install was to download and expand
libuuid-1.0.3.tar.gz (318.3 kB) from
Source Forge, expand out the tar and CD into the folder. I then did...
Sudo ./configure
Sodo make
Sudo make install

That's all I did. All my code depends on that library set

Post Reply

Return to “Newbie Questions”